Skip to main content
DELETE
/
v1
/
wallets
/
{walletId}
/
beneficiaries
/
{id}
Delete
curl --request DELETE \
  --url https://api.blockradar.co/v1/wallets/{walletId}/beneficiaries/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.blockradar.co/v1/wallets/{walletId}/beneficiaries/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.blockradar.co/v1/wallets/{walletId}/beneficiaries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "address": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22",
    "createdAt": "2025-08-27T22:27:17.071Z",
    "deletedAt": "2025-08-27T22:27:17.071Z",
    "id": "cc7a86eb-28f8-49e0-aa77-eb01bb38ad2b",
    "isActive": true,
    "isDefault": false,
    "isSettlement": true,
    "isWhitelisted": true,
    "name": "Ledger Wallet",
    "settlementFrequency": "WEEKLY",
    "updatedAt": "2025-08-27T22:27:17.071Z"
  },
  "message": "Beneficiary deleted successfully",
  "statusCode": 200
}

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

id
string
required
Example:

"BENEFICIARY_ID"

Response

200 - application/json

200

data
object
message
string
Example:

"Beneficiary deleted successfully"

statusCode
number
Example:

200